jQuery(document).ready(function($) {
    // Function to update the button state
    function updateButtonState(button, isFavorite) {
        if (isFavorite) {
            button.text('Remove from Favorites');
        } else {
            button.text('Add to Favorites');
        }
    }

    // Add to Favorites
    $('.add-to-favorites-container').on('click', '.add-to-favorites-button', function(e) {
        e.preventDefault();
        
        var button = $(this);
        var productId = button.data('product-id');
        var successMessageContainer = button.siblings('.add-to-favorites-message');
        var loadingSpinner = button.siblings('.loading-spinner');
        
        // Show the loading spinner
        loadingSpinner.show();
        
        // Send an AJAX request to add/remove the product to/from favorites
        $.ajax({
            type: 'POST',
            url: my_script_vars.ajaxurl,
            data: {
                action: 'add_to_favorites',
                product_id: productId
            },
            success: function(response) {
                // Hide the loading spinner and display the success message
                loadingSpinner.hide();
                successMessageContainer.html(response);
                // Toggle the button text based on the response
                if (response === 'Product added to favorites successfully') {
                    updateButtonState(button, true);
                } else {
                    updateButtonState(button, false);
                }
            }
        });
    });
    
    // Remove from Favorites
    $('.add-to-favorites-container').on('click', '.add-to-favorites-button.remove', function(e) {
        e.preventDefault();
        
        var button = $(this);
        var productId = button.data('product-id');
        var successMessageContainer = button.siblings('.add-to-favorites-message');
        var loadingSpinner = button.siblings('.loading-spinner');
        
        // Show the loading spinner
        loadingSpinner.show();
        
        // Send an AJAX request to add/remove the product to/from favorites
        $.ajax({
            type: 'POST',
            url: my_script_vars.ajaxurl,
            data: {
                action: 'remove_from_favorites',
                product_id: productId
            },
            success: function(response) {
                // Hide the loading spinner and display the success message
                loadingSpinner.hide();
                successMessageContainer.html(response);
                // Toggle the button text based on the response
                if (response === 'Product removed from favorites successfully') {
                    updateButtonState(button, false);
                } else {
                    updateButtonState(button, true);
                }
            }
        });
    });
});

    jQuery(document).ready(function($) {
       $('.slick-show-section').slick({
  dots: false,
  infinite: false,
  speed: 300,
  slidesToShow: 6,
  slidesToScroll: 6,
  responsive: [
    {
      breakpoint: 1024,
      settings: {
        slidesToShow: 5,
        slidesToScroll: 5,
        infinite: false,
        dots: false
      }
    },
    {
      breakpoint: 600,
      settings: {
        slidesToShow: 3,
        slidesToScroll: 3
      }
    },
    {
      breakpoint: 480,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 2
      }
    }
    // You can unslick at a given breakpoint now by adding:
    // settings: "unslick"
    // instead of a settings object
  ]
});
    });