<?php
/**
 * @author 		Isabelle Desouches
 * @version     1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
get_header( 'shop' ); ?>

	<?php
		/**
		 * woocommerce_before_main_content hook.
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 * @hooked WC_Structured_Data::generate_website_data() - 30
		 */
		//do_action( 'woocommerce_before_main_content' );
		$queried_object = get_queried_object(); 
		$fm = get_field('banner_format', $queried_object);
		$sc = get_field('slider_shortcode', $queried_object);
		// $si = get_field('banner_slider', $queried_object);
		$bn = get_field('banner_image', $queried_object);
		$ln = get_field('banner_link', $queried_object);
		$hideBanner = get_field('hide_banner', $queried_object);

		// $size = 'thumb-banner';
		$size = 'thumb-archive';
		$thumb = $bn['sizes'][ $size ];
		if(!$hideBanner) {
			if($fm === 'slider') {
				if(have_rows('banner_slider', $queried_object)) :
					// echo '<div class="slider-archive">'.do_shortcode($sc).'</div>';
					echo '<div class="archive-bwn" style="overflow: hidden; max-height: 555px">';
						echo '<div class="slider-archive">';
						// foreach ($si as $value) {
						while(have_rows('banner_slider', $queried_object)) : the_row();
							$imgs = get_sub_field('image');
							echo '<div><a href="'.get_sub_field('url').'"><img src="'.$imgs['sizes'][$size].'" alt="'.$imgs['title'].'"></a></div>';
						endwhile;
						echo '</div>';
					echo '</div>';
				else : ?>
					<div class="cmsoon"><img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/coming-soon.png"></div>
				<?php
				endif;
			}
			else {
				if(empty($ln)) {
					if(!empty($thumb)) {
						echo '<div class="banner-archive"><div><a><span><img src="'.$thumb.'" alt="'.$queried_object->name.'"></span></a></div></div>';
					}
				}
				else {
					if(!empty($thumb)) {
						echo '<div class="banner-archive"><a href="'.$ln.'"><img src="'.$thumb.'" alt="'.$queried_object->name.'"></a></div>';
					}
				}
			}
		}
	?>
	<?php
	if (is_user_logged_in()){
		$userid = get_current_user_id();
		$current_user = wp_get_current_user();
		$user = new WP_User( $userid );

		$role = ( array ) $user->roles;
	
		$roleU = array();
		if ( empty( $user->roles ) && is_array( $user->roles ) ) {
			foreach ( $user->roles as $role ) {
				$roleU[] = $role;
			}
		}
		
		$active_memberships = wc_memberships_get_user_memberships( $userid, $args_user = array() );	
        
        if(!in_array('administrator', $current_user->roles)){
			if(empty($active_memberships)) {
				if(woo_in_cart(get_field('subscription_product_id', 'option'))) { ?>
					<div class="ins-cart">
						<a class="join-button" href="<?php echo home_url('pricing'); ?>">
							<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/members.png">
						</a>
					</div>
					<?php
				}
				else { ?>
					<div class="outs-cart">
						<a class="join-button" href="<?php echo home_url('pricing'); ?>">
							<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/members.png">
						</a>
					</div>
				<?php
				}
			}
		}
	}
	?>
</div>
<?php
	//current category
	$fim = 65;
	$fi_childm = get_term_children($fim, 'product_cat');
	$fi_arrm = array($fim);
	foreach ($fi_childm as $value) {
		array_push($fi_arrm, $value);
	}
	$id = get_queried_object()->term_id;
	if(in_array($id, $fi_arrm)) {
		$args = array(
			'post_type' => 'product',
			'posts_per_page' => -1,
			'orderby' => 'title', //menu_order title
			'order' => 'ASC',
			'tax_query'      => array(
	            array(
	                'taxonomy'     => 'product_cat',
	                'field'        => 'id',
	                'terms'        => $id
				)
	        )
		);
	}
	else {
		$args = array(
			'post_type' => 'product',
			'posts_per_page' => -1,
			'orderby' => 'date', //menu_order title
			'order' => 'DESC',
			'tax_query'      => array(
	            array(
	                'taxonomy'     => 'product_cat',
	                'field'        => 'id',
	                'terms'        => $id
				)
	        )
		);
	}
	if($hideBanner){
		$args['orderby'] = 'title_number';
		$args['order'] = 'ASC';
	} 
	$wp = new WP_Query($args);
	$i = 0;
	$j = 0;
?>
<div class="slider-related <?php if($hideBanner): echo 'compact-layout'; endif?>">
	<?php if(!$hideBanner):?> <div class="se-pre-con"></div> <?php endif ?>
	<div class="soliwo-slider">
		<div class="slick-show">
		<?php
			if($wp->have_posts()) : while($wp->have_posts()) : $wp->the_post(); $i++; ?>
				<div id="post-<?php echo get_the_ID(); ?>" class="slider-items" a="<?php echo $i; ?>">
					<a href="<?php echo get_permalink(); ?>" tabindex="0">
						<span class="et_portfolio_image">
						<?php if(get_the_post_thumbnail()) { ?>
							<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
						<?php } else { ?>
							<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png" alt="<?php echo get_the_title(); ?>"/>
						<?php } ?>
							<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
						</span>
					</a>
				</div>
		<?php endwhile; endif; wp_reset_query(); ?>
		</div>
		<div class="slick-show-mb">
		<?php 
			if($wp->have_posts()) : while($wp->have_posts()) : $wp->the_post(); ?>
				<div id="post-<?php echo get_the_ID(); ?>" class="slider-items">
					<a href="<?php echo get_permalink(); ?>" tabindex="0">
						<span class="et_portfolio_image">
						<?php if(get_the_post_thumbnail()) { ?>
							<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
						<?php } else { ?>
							<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png" alt="<?php echo get_the_title(); ?>"/>
						<?php } ?>
							<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
						</span>
					</a>
				</div>
		<?php endwhile; endif; wp_reset_query(); ?>
		</div>
	</div>
</div>

<?php 
	if (!$hideBanner) :
?>
	<div class="inline_bottom_slider"></div>
<?php
	endif;
?>

<div class="below-slider column-six">
	<?php
	if(get_queried_object()->parent == 0) {
		$parent = get_queried_object()->term_id;
	}
	else {
		$parent = get_queried_object()->parent;
	}
	$childrens = get_term_children($parent, 'product_cat');
	foreach ($childrens as $children) {
		if(get_queried_object()->term_id != $children) {
			$t = get_term_by('id', $children, 'product_cat');
			if(in_array($id, $fi_arrm)) {
				$args = array(
					'post_type' => 'product',
					'posts_per_page' => 6,
					'orderby' => 'title', //menu_order title
					'order' => 'ASC',
					'tax_query'      => array(
			            array(
			                'taxonomy'     => 'product_cat',
			                'field'        => 'id',
			                'terms'        => $children
						)
			        )
				);
			}
			else {
				$args = array(
					'post_type' => 'product',
					'posts_per_page' => 6,
					'orderby' => 'date', //menu_order title
					'order' => 'DESC',
					'tax_query'      => array(
			            array(
			                'taxonomy'     => 'product_cat',
			                'field'        => 'id',
			                'terms'        => $children
						)
			        )
				);
			}
			$wp = new WP_Query($args);
			if($wp->have_posts()) : ?>
				<div class="object-category">
					<div class="line-top">
						<div class="line-title">
							<h3><?php echo $t->name; ?></h3>
						</div>
					</div>
					<div class="line-main">
						<?php
						$count = $wp->post_count;
						$i = 0;
						while($wp->have_posts()) : $wp->the_post();
							$i++;
							if($i < $count) {
							?>
								<div id="post-<?php echo get_the_ID(); ?>" class="slider-items">
									<a href="<?php echo get_permalink(); ?>" tabindex="0">
										<span class="et_portfolio_image">
										<?php if(get_the_post_thumbnail()) { ?>
											<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
										<?php } else { ?>
											<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png" alt="<?php echo get_the_title(); ?>"/>
										<?php } ?>
											<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
										</span>
									</a>
								</div>
						<?php }
							else { ?>
								<div id="post-<?php echo get_the_ID(); ?>" class="slider-items last-item">
									<a href="<?php echo get_permalink(); ?>" tabindex="0">
										<span class="et_portfolio_image">
										<?php if(get_the_post_thumbnail()) { ?>
											<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
										<?php } else { ?>
											<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png" alt="<?php echo get_the_title(); ?>"/>
										<?php } ?>
											<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
										</span>
									</a>
									<div class="line-more">
										<a href="<?php echo get_term_link($children, 'product_cat'); ?>">View All</a>
									</div>
									<div class="right-arrow">
										<div class="arr-r">
											<a href="<?php echo get_term_link($children, 'product_cat'); ?>">
												<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/arr_r.png" />
											</a>
										</div>
									</div>
								</div>
						<?php }
						endwhile; ?>
					</div>
				</div>
		<?php
			endif;
			wp_reset_query();
		}
	}
	?>
</div>
<div class="below-slider column-four">
	<?php
	if(get_queried_object()->parent == 0) {
		$parent = get_queried_object()->term_id;
	}
	else {
		$parent = get_queried_object()->parent;
	}
	$childrens = get_term_children($parent, 'product_cat');
	foreach ($childrens as $children) {
		if(get_queried_object()->term_id != $children) {
			$t = get_term_by('id', $children, 'product_cat');
			if(in_array($id, $fi_arrm)) {
				$args = array(
					'post_type' => 'product',
					'posts_per_page' => 4,
					'orderby' => 'title', //menu_order title
					'order' => 'ASC',
					'tax_query'      => array(
			            array(
			                'taxonomy'     => 'product_cat',
			                'field'        => 'id',
			                'terms'        => $children
						)
			        )
				);
			}
			else {
				$args = array(
					'post_type' => 'product',
					'posts_per_page' => 4,
					'orderby' => 'date', //menu_order title
					'order' => 'DESC',
					'tax_query'      => array(
			            array(
			                'taxonomy'     => 'product_cat',
			                'field'        => 'id',
			                'terms'        => $children
						)
			        )
				);
			}
			$wp = new WP_Query($args);
			if($wp->have_posts()) : ?>
				<div class="object-category">
					<div class="line-top">
						<div class="line-title">
							<h3><?php echo $t->name; ?></h3>
						</div>
					</div>
					<div class="line-main">
						<?php
						$count = $wp->post_count;
						$i = 0;
						while($wp->have_posts()) : $wp->the_post();
							$i++;
							if($i < $count) {
							?>
								<div id="post-<?php echo get_the_ID(); ?>" class="slider-items">
									<a href="<?php echo get_permalink(); ?>" tabindex="0">
										<span class="et_portfolio_image">
										<?php if(get_the_post_thumbnail()) { ?>
											<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
										<?php } else { ?>
											<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png" alt="<?php echo get_the_title(); ?>"/>
										<?php } ?>
											<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
										</span>
									</a>
								</div>
						<?php }
							else { ?>
								<div id="post-<?php echo get_the_ID(); ?>" class="slider-items last-item">
									<a href="<?php echo get_permalink(); ?>" tabindex="0">
										<span class="et_portfolio_image">
										<?php if(get_the_post_thumbnail()) { ?>
											<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
										<?php } else { ?>
											<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png" alt="<?php echo get_the_title(); ?>"/>
										<?php } ?>
											<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
										</span>
									</a>
									<div class="line-more">
										<a href="<?php echo get_term_link($children, 'product_cat'); ?>">View All</a>
									</div>
									<div class="right-arrow">
										<div class="arr-r">
											<a href="<?php echo get_term_link($children, 'product_cat'); ?>">
												<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/arr_r.png" />
											</a>
										</div>
									</div>
								</div>
						<?php }
						endwhile; ?>
					</div>
				</div>
		<?php
			endif;
			wp_reset_query();
		}
	}
	?>
</div>
<div class="below-slider column-two">
	<?php
	if(get_queried_object()->parent == 0) {
		$parent = get_queried_object()->term_id;
	}
	else {
		$parent = get_queried_object()->parent;
	}
	$childrens = get_term_children($parent, 'product_cat');
	foreach ($childrens as $children) {
		if(get_queried_object()->term_id != $children) {
			$t = get_term_by('id', $children, 'product_cat');
			if(in_array($id, $fi_arrm)) {
				$args = array(
					'post_type' => 'product',
					'posts_per_page' => 2,
					'orderby' => 'title', //menu_order title
					'order' => 'ASC',
					'tax_query'      => array(
			            array(
			                'taxonomy'     => 'product_cat',
			                'field'        => 'id',
			                'terms'        => $children
						)
			        )
				);
			}
			else {
				$args = array(
					'post_type' => 'product',
					'posts_per_page' => 2,
					'orderby' => 'date', //menu_order title
					'order' => 'DESC',
					'tax_query'      => array(
			            array(
			                'taxonomy'     => 'product_cat',
			                'field'        => 'id',
			                'terms'        => $children
						)
			        )
				);
			}
			$args['orderby'] = 'title';

			$wp = new WP_Query($args);
			if($wp->have_posts()) : ?>
				<div class="object-category">
					<div class="line-top">
						<div class="line-title">
							<h3><?php echo $t->name; ?></h3>
						</div>
					</div>
					<div class="line-main">
						<?php
						$count = $wp->post_count;
						$i = 0;
						while($wp->have_posts()) : $wp->the_post();
							$i++;
							if($i < $count) {
							?>
								<div id="post-<?php echo get_the_ID(); ?>" class="slider-items">
									<a href="<?php echo get_permalink(); ?>" tabindex="0">
										<span class="et_portfolio_image">
										<?php if(get_the_post_thumbnail()) { ?>
											<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
										<?php } else { ?>
											<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png" alt="<?php echo get_the_title(); ?>"/>
										<?php } ?>
											<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
										</span>
									</a>
								</div>
						<?php }
							else { ?>
								<div id="post-<?php echo get_the_ID(); ?>" class="slider-items last-item">
									<a href="<?php echo get_permalink(); ?>" tabindex="0">
										<span class="et_portfolio_image">
										<?php if(get_the_post_thumbnail()) { ?>
											<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
										<?php } else { ?>
											<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png" alt="<?php echo get_the_title(); ?>"/>
										<?php } ?>
											<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
										</span>
									</a>
									<div class="line-more">
										<a href="<?php echo get_term_link($children, 'product_cat'); ?>">View All</a>
									</div>
									<div class="right-arrow">
										<div class="arr-r">
											<a href="<?php echo get_term_link($children, 'product_cat'); ?>">
												<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/arr_r.png" />
											</a>
										</div>
									</div>
								</div>
						<?php }
						endwhile; ?>
					</div>
				</div>
		<?php
			endif;
			wp_reset_query();
		}
	}
	?>
</div>
<!-- Jquery -->
<link rel="stylesheet" type="text/css" href="<?php echo bloginfo('stylesheet_directory'); ?>/css/slick.css"/>
<script type="text/javascript" src="<?php echo bloginfo('stylesheet_directory'); ?>/js/slick.min.js"></script>
<?php
	$category_id = get_queried_object()->term_id;
	$cat = 'product_cat';
	$category = get_term_by( 'slug', 'merch', $cat );
	$cid = $category->term_id;
	$term_children = get_term_children( $cid, $cat );
	$term_children[]= $cid;
	if (!$hideBanner):
?>
	<script type="text/javascript">
		jQuery(document).ready(function() {
			jQuery('.slick-show').slick({
				dots: false,
				arrows: true,
				infinite: false,
				speed: 300,
				slidesToShow: 6,
				slidesToScroll: 6,
			});

		jQuery('.slider-archive').slick({
			dots: false,
			arrows: true,
			infinite: true,
			speed: 500,
			slidesToShow: 1,
			slidesToScroll: 1,
			fade: true
		});
		
		jQuery('.slick-show-mb').slick({
				dots: false,
				arrows: true,
				infinite: false,
				speed: 300,
				slidesToShow: 4,
				slidesToScroll: 4,
				responsive: [
					{
						breakpoint: 481,
						settings: {
							slidesToShow: 2,
							slidesToScroll: 2
						}
					}
				]
			});
		});
	</script>
<?php
	else:
?>
	<script type="text/javascript">
		jQuery(document).ready(function() {
			jQuery('.below-slider').hide();
		});
	</script>
<?php
	endif;
$t = get_term_by('term_id', $category_id, 'product_cat');
$parent = get_term($t->parent, 'product_cat' );
$children = get_term_children($t->term_id, 'product_cat');
$figh = $parent->term_id;
$fighs = get_term_by('term_id', $figh, 'product_cat');
if(!empty($parent->term_id)) {
	if(sizeof($children) > 0 && $fighs->name == 'Fighters') {?>
		<script type="text/javascript">
			jQuery(document).ready(function() {
				var sub = "<?php echo get_term_by('term_id', $category_id, 'product_cat')->name; ?>";
				jQuery('#top-first-menu .sub-menu .menu-item-object-fighter_category a').each(function() {
					if(jQuery(this).text() == sub) {
						jQuery('#top-first-menu .sub-menu .menu-item-object-fighter_category').removeClass('current-menu-item');
						jQuery(this).parent().addClass('current-product-ancestor');
						jQuery(this).parents('#top-first-menu > .menu-item-object-fighter_category').addClass('current-product-ancestor');
					}
				});
			});
		</script>
<?php
	}
}
else {
	$catname = get_term_by('term_id', $category_id, 'product_cat');
	if($catname->name == 'Fighters') { ?>
		<script type="text/javascript">
			jQuery(document).ready(function() {
				var n = '<?php echo $t->name; ?>';
				jQuery('#top-first-menu > .menu-item-object-fighter_category a img').each(function() {
					if((jQuery(this).attr('alt')) == n) {
						jQuery(this).parents('#top-first-menu > .menu-item-object-fighter_category').addClass('current-product-ancestor');
					}
				});
			});
		</script>	
	<?php
	}
}
$args = array(
	'post_type' => 'post',
	'category' => '1038',
	'numberposts' => 3
);
$brns_posts = get_posts($args);

echo "<div class='brns_home_footer_posts'>";
echo "<h4>BWN411</h4>";
echo "<ul class='srpw-ul'>";
$p = 1;
foreach ($brns_posts as $post){
	echo "<li class='srpw-li'>";
	echo "<a href='".get_field('post_url', $post->ID)."' class='srpw-img'><img src='".get_the_post_thumbnail_url($post->ID, 'full')."' class='srpw-thumbnail'></a>";
	echo "<div class='srpw-content'>
				<div class='brns-srpw-title'><a href='".get_field('post_url', $post->ID)."' class='srpw-title'>".$post->post_title."</a></div>
				<div class='srpw-summary'>
				<p>".substr($post->post_excerpt, 0, 140)."...</p>
				<a href='".get_field('post_url', $post->ID)."' class='srpw-more-link'>Read More »</a>
				</div>
			</div>";
	echo "</li>";
	$p++;
}
echo "</ul>";
echo "</div>";


get_footer( 'shop' ); ?>