<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header(); ?>

	<?php
		/**
		 * woocommerce_before_main_content hook.
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 * @hooked WC_Structured_Data::generate_website_data() - 30
		 */
		//do_action( 'woocommerce_before_main_content' );
		$queried_object = get_queried_object(); 
		$im = get_field('images', $queried_object);
		$iml = get_field('image_link', $queried_object);
		$pid = get_field('product_category_id', $queried_object);
	?>
<div class="banner-archive">
<?php
	if($iml != '') {
		echo '<a href="'.$iml.'"><img src="'.$im.'"></a>';
	}
	else {
		echo '<img src="'.$im.'">';	
	}
?>
</div>
<div class="slider-related">
	<div class="se-pre-con"></div>
	<div class="soliwo-slider">
		<div class="slick-show">
			<?php
			$cat = 'product_cat';
			// $term_children = get_term_children( $pid, $cat );
			$term_children = get_terms( array(
			    'taxonomy' => $cat,
			    'hide_empty' => false,
			    'child_of' => $pid,
			    'orderby' => 'slug',
			    'order' => 'ASC'
			) );
			foreach ( $term_children as $child ) {
				$has_child = get_term_children( $child->term_id, $cat);
				if(empty($has_child)) {
					$term = get_term_by( 'id', $child->term_id, $cat );
					$thumbnail_id = get_woocommerce_term_meta( $term->term_id, 'thumbnail_id', true );
					$image = wp_get_attachment_image( $thumbnail_id, 'thumb-right' ); ?>
					<div id="cat-<?php echo $term->term_id; ?>" class="slider-items">
						<a href="<?php echo get_category_link( $term->term_id ); ?>" tabindex="0">
							<span class="et_portfolio_image">
							<?php if($image) { ?>
								<?php echo $image;?>
							<?php } else { ?>
								<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png" alt="<?php echo $term->name; ?>"/>
							<?php } ?>
								<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
							</span>
						</a>
					</div>
				<?php
				}
			} ?>
		</div>
		<div class="slick-show-mb">
			<?php
			foreach ( $term_children as $child ) {
				$has_child = get_term_children( $child, $cat);
				if(empty($has_child)) {
					$term = get_term_by( 'id', $child->term_id, $cat );
					$thumbnail_id = get_woocommerce_term_meta( $term->term_id, 'thumbnail_id', true );
					$image = wp_get_attachment_image( $thumbnail_id, 'thumb-right' ); ?>
					<div id="cat-<?php echo $term->id; ?>" class="slider-items">
						<a href="<?php echo get_category_link( $term->term_id ); ?>" tabindex="0">
							<span class="et_portfolio_image">
							<?php if($image) { ?>
								<?php echo $image; ?>
							<?php } else { ?>
								<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png" alt="<?php echo $term->name; ?>"/>
							<?php } ?>
								<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
							</span>
						</a>
					</div>
				<?php
				}
			} ?>
		</div>
	</div>
</div>
<div class="inline_bottom_slider"></div>
<!-- Jquery -->
<link rel="stylesheet" type="text/css" href="<?php echo bloginfo('stylesheet_directory'); ?>/css/slick.css"/>
<script type="text/javascript" src="<?php echo bloginfo('stylesheet_directory'); ?>/js/slick.min.js"></script>
<script type="text/javascript">
	jQuery(document).ready(function() {
		jQuery('.slick-show').slick({
            rows: 2,
            dots: false,
            arrows: true,
            infinite: false,
            speed: 300,
            slidesToShow: 6,
            slidesToScroll: 6,
        });
        jQuery('.slick-show-mb').slick({
	            rows: 2,
	            dots: false,
	            arrows: true,
	            infinite: false,
	            speed: 300,
	            slidesToShow: 3,
	            slidesToScroll: 1,
	            responsive: [
	                {
	                    breakpoint: 481,
	                    settings: {
	                    	slidesToShow: 2
	                    }
	                }
	            ]
	        });
	});
</script>
<?php get_footer(); ?>