<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.6.0
 */




if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
global $product;

?>
<?php
	/**
	 * woocommerce_before_single_product hook.
	 *
	 * @hooked wc_print_notices - 10
	 */
	do_action( 'woocommerce_before_single_product' );

	if ( post_password_required() ) {
		echo get_the_password_form();
		return;
	}?>
	<div id="product-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="single-content">
			<?php
			$crsl_arr = sanitize_title(get_the_title());
			$crsl_arr = explode('-', $crsl_arr);
			$pid = get_the_ID();
			$cat = 'product_cat';
			$category = get_term_by( 'slug', 'merch', $cat );
			$cid = $category->term_id;
			$term_children = get_term_children( $cid, $cat );
			$term_children[]= $cid;
			if ( has_term( $term_children, 'product_cat', $pid ) ) { ?>
				<div class="custom-display">
					<div class="product-inline merch-only">
						<div class="middle-container product-cell">
							<?php
							// $rev = get_field('slider_shortcode');
							// echo do_shortcode($rev);
							$mainimg = get_field('main_picture');
							echo '<img src="'.$mainimg.'" alt="">';
							?>
						</div>
						<div class="summary entry-summary product-cell">
							<div class="merch-thumb">
								<?php
								if(get_the_post_thumbnail()) { ?>
									<img src="<?php echo get_field('product_image'); ?>">
								<?php
								}
								else { ?>
									<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png">
								<?php } ?>
							</div>
							<?php
								do_action( 'woocommerce_single_product_summary' );
								?>

						</div><!-- .summary -->
						<?php
						do_action( 'woocommerce_after_single_product_summary' );
						?>
					</div>
				</div>
				<style type="text/css">
					.single-product .summary.product-cell .variable-box form {
						padding: 10px 0;
					}
				</style>
			<?php }
			else {
				$pid = get_the_ID();
				$cat = 'product_cat';
				$bwn411 = get_term_by( 'slug', 'bwn-411', $cat );
				$bid = $bwn411->term_id;
				$term_childrenb[]= $bid;
				$category = get_term_by( 'slug', 'fighters', $cat );
				$cid = $category->term_id;
				$term_children = get_term_children( $cid, $cat );
				$term_children[]= $cid;
				$bner = get_field('banner_product');
				$size = 'thumb-archive';
				$thumb = $bner['sizes'][ $size ];

				if ( has_term( $term_children, 'product_cat', $pid ) ) {
					echo '<div class="banner-product">';
					if($bner) { ?>
						<img src="<?php echo $thumb; ?>" alt="<?php echo get_the_title(); ?>">
					<?php
					}
					else { ?>
						<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/coming-soon.png" alt="<?php echo the_title(); ?>">
					<?php }
					echo '</div>';
				}
				else {
					if ( has_term( $term_childrenb, 'product_cat', $pid ) ) { 
						if($bner) {
							echo '<div class="banner-product">';
							echo '<img src="'.$thumb.'" alt="'.get_the_title().'">';
							echo '</div>';
						}else{
							?>
							<div class="product-bwn" style="overflow: hidden; max-height: 555px">
								<?php
								$sim = get_field('slider_images');
								if($sim) {
									echo '<div class="slider-bwn">';
									foreach ($sim as $value) {
										echo '<div><img src="'.$value['sizes'][$size].'" alt="'.get_the_title().'"></div>';
									}
									echo '</div>';
								}
								else { ?>
									<div class="cmsoon"><img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/coming-soon.png" alt="<?php echo get_the_title(); ?>"></div>
								<?php
								} ?>
							</div>
						<?php
						}
					}
					else { ?>
						<div class="custom-display">
							<div class="product-inline">
								<div class="left-container product-cell">
									<div class="p-thumbnail">
										<img src="<?php echo get_field('product_image'); ?>">
									</div>
									<div class="p-minutes">
										<h3><?php echo get_field('minutes_of_action'); ?></h3>
									</div>
									<div class="p-description">
										<?php the_content(); ?>
									</div>
									<!-- <div class="p-tags">
										<?php //echo wc_get_product_tag_list( $product->get_id(), ' ', '<span class="tagged_as">' . _n( '', '', count( $product->get_tag_ids() ), 'woocommerce' ) . ' ', '</span>' ); ?>
									</div> -->		
								</div>
								<div class="middle-container product-cell new-test">
									<div class="et_pb_module et_pb_video et_pb_video_0 sort-video hide-controls">
										<?php if(have_rows('main_video')) : while(have_rows('main_video')) : the_row();
											$type = get_sub_field('choose_type_video');
											$vimeo_url = get_sub_field('vimeoyoutube_url');
											$mp4_url = get_sub_field('mp4_url');
											$video_bg = get_sub_field('video_bg');
											$sf_video_background_after = get_sub_field('sf_video_background_after');
										endwhile; endif;
										$watch_now = get_field('watch_now');
										?>
										<?php
										if($type == 'embed') {
											if(!empty($vimeo_url)) {
												$wp_embed = new WP_Embed();
												echo $wp_embed->run_shortcode('[embed width="723" height="430"]'.$vimeo_url.'[/embed]');
												if(!empty($video_bg)) { ?>
													<div class="et_pb_video_overlay" style="background-image: url(<?php echo $video_bg; ?>);">
														<div class="et_pb_video_overlay_hover">
															<a href="#" class="et_pb_video_play"></a>
														</div>
													</div>
												<?php }
											}
										}
										else {
											if(!empty($mp4_url)) {
												//echo "string111";
												//*// New Wowza video implementation
												//if(in_array($_SERVER['REMOTE_ADDR'], ['208.180.20.61', '73.7.252.34'])) {
													//echo "string222";
												?>

												<!-- <div id="product-<?php the_ID(); ?>-video" style="width:100%; height:0; padding:0 0 56.25% 0"></div> -->
	
												<script type="text/javascript">
													// jQuery(function($) {
													// 	console.log('video <?php echo $mp4_url; ?>');
													// 	WowzaPlayer.create('product-<?php the_ID(); ?>-video',
													// 		{
													// 		"license":"PLAY1-nEP7b-We8ZY-Q4aQJ-RaN3w-Akn73",
													// 		"title":"<?php the_title(); ?>",
													// 		"description":"<?php echo wp_strip_all_tags(get_the_excerpt()); ?>",
													// 		"sourceURL":"https://stream.bwnvideo.com:1935/vod/_definst_/mp4:<?php echo str_replace('https://bwnvideo.com/', '', $mp4_url); ?>/playlist.m3u8",
													// 		"volume":"75",
													// 		"mute":false,
													// 		"loop":false,
													// 		"audioOnly":false,
													// 		"uiShowQuickRewind":true,
													// 		"uiQuickRewindSeconds":"30"
													// 		}
													// 	);
													// });
												</script>
												<?php //echo $mp4_url.' Calvin';
												//} else { ?>
													
										<div id="myElement01" align="center"></div>

<script type="text/JavaScript">
    jwplayer("myElement01").setup({ 
        "playlist": [{
         "file": "https://stream.bwnvideo.com/vod/_definst_/mp4:<?php echo $mp4_url; ?>/playlist.m3u8",
		"image": "<?php echo $video_bg;?>"
			
		}]
		
    });


</script>
										
										
										
													<?php

												//echo do_shortcode('[video width="723" height="430px" src="'.$mp4_url.'"]');
												if(!empty($video_bg)) { ?>
													<!-- <div class="et_pb_video_overlay" style="background-image: url(<?php echo $video_bg; ?>);">
														<div class="et_pb_video_overlay_hover">
															<a href="#" class="et_pb_video_play"></a>
														</div>
													</div> -->
												<?php }
													
												//*// close of new Wowza video implementation
												//}
												//*/
											}
										}
										?>
									</div>
									<?php
									if (is_user_logged_in()){
										$userid = get_current_user_id();
										$user = new WP_User( $userid );

										$args_user = array( 
										    'status' => array( 'active', 'complimentary', 'pending' ), //, 'pending'
										);  

										$active_memberships = wc_memberships_get_user_memberships( $userid, $args_user );
										
										$roleU = array();
										if ( !empty( $user->roles ) && is_array( $user->roles ) ) {
											foreach ( $user->roles as $role ) {
												$roleU[] = $role;
											}
										}

										if(!empty($active_memberships) || in_array('administrator', $roleU)) { ?>
											<div class="watch-now-video">
												<div class="watch-now-inner">
													<div class="watch-now-box">
														<div class="fluid-width-video-wrapper">
															<?php
															$watch_now_video_url = get_field('watch_now_video_url');
															$video_bg = "";
															$sf_video_background_after = "";
															//echo do_shortcode('[video src="'.get_field('watch_now_video_url').'"]');
															?>
															<div id="myElement02" align="center"></div>

<script type="text/JavaScript">
    jwplayer("myElement02").setup({ 
        "playlist": [{
         "file": "https://stream.bwnvideo.com/vod/_definst_/mp4:bwnvideos/<?php echo $watch_now_video_url; ?>/playlist.m3u8"
        }]
    });


</script>
															<a class="watch-closes">x</a>
														</div>
													</div>
												</div>
											</div>
											<script type="text/javascript">
												jQuery(document).ready(function($) {
													$(".watch-now-video .watch-closes").on('hidden.bs.modal', function (e) {
														//$("#sf-popup-iframe").attr('src','https://bwnvideo.com/sf_wowza.php?sf_video=https://stream.bwnvideo.com/vod/_definst_/mp4:videos/xtra_komotel.mp4/playlist.m3u8');
													    
													    $(".watch-now-video iframe").attr("src", $("#sf_popup_iframe").attr("src"));
													});
												});
											</script>
										<?php
										}
									} ?>
									<div class="envira-gallery-wrap sf_gallery" style="display: none;">
										<?php 
											preg_match_all('!\d+!', get_field('gallery_shortcode'), $matches);
											echo do_shortcode('[envira-link id="'.$matches[0][0].'"]Click me to view the lightbox![/envira-link]');
											//echo do_shortcode(get_field('gallery_shortcode'));
										?>
									</div>
									<?php
									$attachment_ids = $product->get_gallery_attachment_ids();
									if(!empty($attachment_ids)) { ?>
										<div class="row-lightbox">
											<div class="se-pre-con"></div>
											<div id="gallery-lightbox">
												<?php
											    foreach( $attachment_ids as $attachment_id ) { ?>
											    	<div class="col-xs-3">
											    		<a href="<?php echo wp_get_attachment_url( $attachment_id ); ?>" target="_blank" class="thumbnail">
											    			<img src="<?php echo wp_get_attachment_url( $attachment_id ); ?>" alt="">
											    		</a>
											    	</div>
										        <?php } ?>
										    </div>
										</div>
									<?php } ?>
								</div>

								<div class="summary entry-summary product-cell">
									<!-- <div class="sin-content">
										<div class="p-description">
											<?php the_content(); ?>
										</div>
										 <div class="p-tags">
											<?php //echo wc_get_product_tag_list( $product->get_id(), ' ', '<span class="tagged_as">' . _n( '', '', count( $product->get_tag_ids() ), 'woocommerce' ) . ' ', '</span>' ); ?>
										</div>
									</div> -->
										 <div class="watch-now">
									    <div class="logged">
											<?php echo do_shortcode('[add_to_favorites]');?>
										</div>
									</div>
									<?php
									do_action( 'woocommerce_single_product_summary' );
									?>
									
									<div class="only-members">
										<div class="member-title">
											<h2>Members</h2>
										</div>
										<div class="member-button">
											<?php 
											// $favourites = simple_favourites::get_favourites();
											// if( !in_array($product->id, $favourites) ){
											// 	// echo "<span class='simple_message'></span>";
											// }else{
											// //echo 'This item has been added to <a href="'.home_url().'/?page_id=19227919">your favourites</a>.';
											// }
											?>
											<!-- <div class="both_button">
												<div class="watch-now">
													<a class="logged"><span>Watch</span></a>
												</div>
												<?php //do_action( 'favourites' ); ?>
												<span class="clear"></span>
											</div>
											<div class="gallery">
												<a class="logged gallery-button" href="javascript:void(0)"><span>Gallery</span></a>
											</div> -->
											<?php
											if (is_user_logged_in()){
												$userid = get_current_user_id();
												$user = new WP_User( $userid );
												$roleU = array();
												if ( !empty( $user->roles ) && is_array( $user->roles ) ) {
													foreach ( $user->roles as $role ) {
														$roleU[] = $role;
													}
												}

												$args_user = array( 
												    'status' => array( 'active', 'complimentary', 'pending' ), //'pending'
												);  

												$active_memberships = wc_memberships_get_user_memberships( $userid, $args_user );

												// if(!empty($active_memberships)){ echo "yes"; }
												// else{ echo "calvin"; }

												if(!empty($active_memberships) || in_array('administrator', $roleU)) {
													?>
													<div class="both_button">
														<div class="watch-now">
															<a class="logged"><span>Watch</span></a>
														</div>
														<?php do_action( 'favourites' ); ?>
														<span class="clear"></span>
													</div>
													<div class="gallery">
														<a class="logged gallery-button" href="javascript:void(0)"><span>Gallery</span></a>
													</div>
													<?php
													
												}else {
													?>
													<div class="both_button" style="visibility:hidden">
														<div class="watch-now">
															<a class="logged"><span>Watch</span></a>
														</div>
														<?php do_action( 'favourites' ); ?>
														<span class="clear"></span>
													</div>
													<div class="gallery" style="visibility:hidden">
														<a class="logged gallery-button" href="javascript:void(0)"><span>Gallery</span></a>
													</div>
													<?php
													if(woo_in_cart(get_field('subscription_product_id', 'option'))) { ?>
														<div class="ins-cart">
															<!-- <a class="join-button" href="<?php //echo WC()->cart->get_cart_url(); ?>"> -->
															<a class="join-button" href="<?php echo home_url('pricing'); ?>">
																<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/members.png">
															</a>
														</div>
														<?php
													}
													else { ?>
														<div class="outs-cart">
															<!-- <a class="join-button" href="<?php //echo home_url('/?add-to-cart='.get_field('subscription_product_id', 'option')); ?>"> -->
															<a class="join-button" href="<?php echo home_url('pricing'); ?>">
																<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/members.png">
															</a>
														</div>
													<?php
													}
												}
											}else { ?>
												<div class="both_button" style="visibility:hidden">
													<div class="watch-now">
														<a class="logged"><span>Watch</span></a>
													</div>
													<?php do_action( 'favourites' ); ?>
													<span class="clear"></span>
												</div>
												<div class="gallery" style="visibility:hidden">
													<a class="logged gallery-button" href="javascript:void(0)"><span>Gallery</span></a>
												</div>
												<div class="join-image">
													<a class="join-button">
														<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/members.png">
													</a>
												</div>
										<?php } ?>
										</div>
									</div>

								</div><!-- .summary -->
								<?php
								do_action( 'woocommerce_after_single_product_summary' );
								?>
							</div>
						</div>
					<?php 
					}
				}
			}
			?>
			<div class="single-slider-wrapper">
			<?php
			$terms = get_the_terms( $product->id, 'product_tag' );
			$i = 0;
			$j = array($product->id);
			if($terms != '') {
				
				foreach ($terms as $term) {
					
					$ari = array(
						'post_type' => 'product',
						'posts_per_page' => 20,
						'orderby' => 'date',
						'post__not_in' => array( $product->id ),
						'order' => 'DESC',
						'tax_query'      => array(
							array(
								'taxonomy'		=> 'product_tag',
								'field'			=> 'slug',
								'terms'			=> $term->slug,
							)
						)
					);
					$wi = new WP_Query($ari);
					if($wi->have_posts()) : ?>

					<?php
					$product_cat = wp_get_post_terms( $post->ID, 'product_cat' );
					foreach ( $product_cat as $cat ) {
						$product_categories[] = $cat->slug;
					}

					?>
					<div class="slider-related">
						<?php if ( in_array( 'fighters', $product_categories ) ) { ?>

						<?php } else { ?>
						<div class="slider-related-header">
							<h4 class="wrestler-name">
								<a href="<?php echo site_url( 'product/'.$term->slug  ); ?>">
									<?php echo ucfirst( $term->name ); ?>
								</a>
							</h4>
						</div>
						<?php } ?>
						<div class="soliwo-slider">
							<div class="slick-show-section">
							<?php
								while($wi->have_posts()) : $wi->the_post();
								$i++;
								if ( $term->slug == $post->post_name ) { ?>
									<div id="post-<?php echo get_the_ID(); ?>" class="slider-items" a="<?php echo $i; ?>">
										<a href="<?php echo get_permalink(); ?>" tabindex="0">
											<span class="et_portfolio_image">
											<?php //echo do_shortcode('[yith_wcwl_add_to_wishlist]'); ?>	
											<?php if(get_the_post_thumbnail()) { ?>
												<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
											<?php } else { ?>
												<img src="<?php echo bloginfo('stylesheet_directory'); ?>/img/placeholder.png" alt="<?php echo get_the_title(); ?>"/>
											<?php } ?>
												<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
											</span>
										</a>
									</div>
								<?php } 
								endwhile; ?>
								<?php 
								while($wi->have_posts()) : $wi->the_post(); 
								if ( $term->slug != $post->post_name ) { ?>
									<div id="post-<?php echo get_the_ID(); ?>" class="slider-items" a="<?php echo $i; ?>">
										<a href="<?php echo get_permalink(); ?>" tabindex="0">
											<span class="et_portfolio_image">
											<?php //echo do_shortcode('[yith_wcwl_add_to_wishlist]'); ?>	
											<?php if(get_the_post_thumbnail()) { ?>
												<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
											<?php } else { ?>
												<img src="<?php echo bloginfo('stylesheet_directory'); ?>/img/placeholder.png" alt="<?php echo get_the_title(); ?>"/>
											<?php } ?>
												<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
											</span>
										</a>
									</div>
								<?php
								}
								endwhile; ?>
							</div>
						</div>
					</div>		
					<?php endif; ?>
					<?php wp_reset_query();
				}
			} 
			?>
				
			<?php				
			// by series taxonomy
			$series = get_the_terms( $product->ID,'serie-product');
			if($series!=''){
				$serie_arr = array();
				foreach ($series as $serie) {
					array_push($serie_arr, $serie->term_id);
				}
				$sr = array(
				'post_type' => 'product',
				'posts_per_page' => 20,
				'orderby' => 'date',
				'order' => 'DESC',
				'tax_query'      => array(
					array(
						'taxonomy'     => 'serie-product',
						'field'        => 'term_id',
						'terms'        => $serie_arr
						)
					),
				);
				$wsr = new WP_Query($sr);
				if($wsr->have_posts()) : ?>
				<div class="slider-related">
					<div class="slider-related-header">
						<h4><?php _e( 'MORE FROM THIS SERIES...', 'hello-elementor-child' ); ?></h4>
					</div>
					<div class="soliwo-slider">
						<div class="slick-show-section">
						<?php 
							while($wsr->have_posts()) : $wsr->the_post(); $i++;
								array_push($j, get_the_ID()); ?>
								<div id="post-<?php echo get_the_ID(); ?>" class="slider-items" a="<?php echo $i; ?>">
									<a href="<?php echo get_permalink(); ?>" tabindex="0">
										<span class="et_portfolio_image">
										<?php //echo do_shortcode('[yith_wcwl_add_to_wishlist]'); ?>	
											<?php if(get_the_post_thumbnail()) { ?>
											<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
											<?php } else { ?>
											<img src="<?php echo bloginfo('stylesheet_directory'); ?>/img/placeholder.png" alt="<?php echo get_the_title(); ?>"/>
											<?php } ?>
											<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
										</span>
									</a>
								</div>
							<?php endwhile; 
						?>
						</div>
					</div>
				</div>
				<?php endif; ?>
				<?php wp_reset_query();
			}
			?>
				

			<?php
				// by tag
				$keywords_terms = get_the_terms( $product->id, 'keywords' );
				$i = 0;
				$j = array($product->id);
					
				if($keywords_terms != '') {
					$keywords_terms_arr = array();
					foreach ($keywords_terms as $keyword) {
						array_push($keywords_terms_arr, $keyword->term_id);
					}
					$args = array(
						'post_type' => 'product',
						'posts_per_page' => -1,
						'orderby' => 'date',
						'order' => 'DESC',
						'tax_query'      => array(
							array(
								'taxonomy'     => 'keywords',
								'field'        => 'term_id',
								'terms'        => $keywords_terms_arr
								)
							),
						);
					$wpd = new WP_Query($args);
					if($wpd->have_posts()) : ?>
					<div class="slider-related">
						<div class="slider-related-header">
							<h4><?php _e( 'Related Themes...', 'hello-elementor-child' ); ?></h4>
						</div>
						<div class="soliwo-slider">
							<div class="slick-show-section">
							<?php while($wpd->have_posts()) : $wpd->the_post(); $i++;
								array_push($j, get_the_ID()); ?>
								<div id="post-<?php echo get_the_ID(); ?>" class="slider-items" a="<?php echo $i; ?>">
									<a href="<?php echo get_permalink(); ?>" tabindex="0">
										<span class="et_portfolio_image">
										<?php //echo do_shortcode('[yith_wcwl_add_to_wishlist]'); ?>	
											<?php if(get_the_post_thumbnail()) { ?>
											<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
											<?php } else { ?>
											<img src="<?php echo bloginfo('stylesheet_directory'); ?>/img/placeholder.png" alt="<?php echo get_the_title(); ?>"/>
											<?php } ?>
											<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
										</span>
									</a>
								</div>
								<?php
							endwhile; ?>
						</div>
					</div>
				</div>
				<?php endif; wp_reset_query();
				}
			?>
			</div>
		</div>
	</div><!-- #product-<?php //the_ID(); ?> -->
	<div class="inline_bottom_slider"></div>
	<div class="fancy-overlay r-in">
		<div class="fancy-popup">
			<div class="fancy-boxup">
				<div class="fancybox-inner">
					<div class="login-do">
						<div class="facebook_login_sf">
						<?php echo do_shortcode('[nextend_social_login provider="facebook"]'); ?>
						</div>
						<!-- <a class="cn-fb" href="<?php //echo get_home_url(); ?>/wp-login.php?loginFacebook=1&redirect=<?php echo get_home_url(); ?>" onclick="window.location = '<?php echo get_home_url(); ?>/wp-login.php?loginFacebook=1&redirect='+window.location.href; return false;"><div class="new-fb-btn new-fb-1 new-fb-default-anim"><div class="new-fb-1-1"><div class="new-fb-1-1-1">CONNECT WITH</div></div></div></a> -->
						<!-- <div class="facebook_login_sf">
							<fb:login-button size="xlarge" scope="public_profile,email" onlogin="checkLoginState();">
							</fb:login-button>
						</div> -->
						<h3 class="cn-or"><?php _e( 'OR', 'woocommerce' ); ?></h3>
						<?php echo do_shortcode('[wpcrl_login_form]'); ?>
					</div>
				</div>
				<a class="close-popup" href="javascript:void(0)">X</a>
			</div>
		</div>
	</div>
	<div class="subscribe-redirect">
		<?php
		$add = get_field('subscription_product_id', 'option');
		echo do_shortcode('[add_to_cart id="'.$add.'"]');
		?>
	</div>
	<?php do_action( 'woocommerce_after_single_product' );

	$pid = get_the_ID();
	$cat = 'product_cat';
	$category = get_term_by( 'slug', 'merch', $cat );
	$cid = $category->term_id;
	$term_children = get_term_children( $cid, $cat );
	$term_children[]= $cid;
	if ( has_term( $term_children, 'product_cat', $pid ) ) { ?>
	<script type="text/javascript">
		jQuery(document).ready(function() {
			jQuery('.single-product #main-header #top-first-menu li .sub-menu > li.current-product-ancestor').parents('#top-first-menu > .menu-item').addClass('current-product-ancestor');
		});
	</script>
	<?php } ?>
<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
	<script type="text/javascript">
		jQuery(document).ready(function($) {
			jQuery('#gallery-lightbox').slickLightbox({
				layouts: {
					closeButton: ''
				},
				closeOnEscape: false
			});

			jQuery('.slider-bwn').slick({
		        dots: false,
		        arrows: true,
		        infinite: true,
		        speed: 500,
		        slidesToShow: 1,
		        slidesToScroll: 1,
		        fade: true
		    });

			jQuery('#gallery-lightbox').slick({
		        dots: false,
		        arrows: true,
		        infinite: false,
		        speed: 300,
		        slidesToShow: 4,
		        slidesToScroll: 4,
		        responsive: [
		        	{
	                	breakpoint: 981,
		                settings: {
		                	infinite: false,
		                	slidesToShow: 3,
		                	slidesToScroll: 3,
		                }
		            },
		            {
		            	breakpoint: 768,
		                settings: {
		                	infinite: false,
		                	slidesToShow: 4,
		                	slidesToScroll: 4,
		                }
		            },
		            {
		            	breakpoint: 641,
		                settings: {
		                	infinite: false,
		                	slidesToShow: 3,
		                	slidesToScroll: 3,
		                }
		            },
		            {
		                breakpoint: 481,
		                settings: {
		                	infinite: false,
		                	slidesToShow: 2,
		                	slidesToScroll: 2,
		                }
		            }
		        ]
		    });

			jQuery('.slick-show').slick({
		        dots: false,
		        arrows: true,
		        infinite: false,
		        speed: 300,
		        slidesToShow: 6,
		        slidesToScroll: 6
		    });

		    jQuery('.slick-show-mb').slick({
		        dots: false,
		        arrows: true,
		        infinite: false,
		        speed: 300,
		        slidesToShow: 4,
		        slidesToScroll: 1,
		        responsive: [
		            {
		                breakpoint: 481,
		                settings: {
		                	slidesToShow: 2
		                }
		            }
		        ]
		    });
		    
// custom slick slider section 2023

$('.slick-show-section').slick({
  dots: false,
  infinite: false,
  speed: 300,
  slidesToShow: 6,
  slidesToScroll: 6,
  responsive: [
    {
      breakpoint: 1024,
      settings: {
        slidesToShow: 3,
        slidesToScroll: 3,
        infinite: false,
        dots: false
      }
    },
    {
      breakpoint: 600,
      settings: {
        slidesToShow: 3,
        slidesToScroll: 3
      }
    },
    {
      breakpoint: 480,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 2
      }
    }
    // You can unslick at a given breakpoint now by adding:
    // settings: "unslick"
    // instead of a settings object
  ]
});

			jQuery('.single-product #main-header #top-first-menu li .sub-menu > li.current-product-ancestor').parents('#top-first-menu > .menu-item').addClass('current-product-ancestor');
			var sub = sessionStorage.getItem('sub');
			var id = sessionStorage.getItem('id');
			var mid = jQuery('#top-first-menu > .current-product-ancestor').attr('id');
			var length = jQuery('#top-menu-nav #top-first-menu > .current-product-ancestor').length;

			if(id != null) {
				if(length > 1) {
					if(jQuery('#top-menu-nav #top-first-menu > li.current-product-ancestor#' + id).length) {
						jQuery('#top-menu-nav #top-first-menu > li').removeClass('current-product-ancestor current-menu-parent current-product-parent');
						jQuery('#top-menu-nav #top-first-menu > li#' + id).addClass('current-product-ancestor current-menu-parent current-product-parent');
					}
					else {
						jQuery('#top-menu-nav #top-first-menu > li.current-product-ancestor').removeClass('two-access');
						jQuery('#top-menu-nav #top-first-menu > li.current-product-ancestor').first().addClass('two-access');
						jQuery('#top-menu-nav #top-first-menu > li').removeClass('current-product-ancestor current-menu-parent current-product-parent');
						jQuery('#top-menu-nav #top-first-menu > li.two-access').addClass('current-product-ancestor current-menu-parent current-product-parent');
					}
				}
				if(id == mid) {
					jQuery('#'+mid+' .sub-menu .menu-item').removeClass('current-product-ancestor current-menu-parent current-product-parent');
					jQuery('#'+mid+' .sub-menu #'+sub).addClass('current-product-ancestor current-menu-parent current-product-parent');
				}
				else {
					jQuery('#top-menu-nav .current-product-ancestor .sub-menu .current-product-ancestor').removeClass('activates');
					jQuery('#top-menu-nav .current-product-ancestor .sub-menu .current-product-ancestor').first().addClass('activates');
					jQuery('#top-menu-nav .current-product-ancestor .sub-menu .menu-item').removeClass('current-product-ancestor current-menu-parent current-product-parent');
					jQuery('#top-menu-nav .current-product-ancestor .sub-menu .menu-item.activates').addClass('current-product-ancestor current-menu-parent current-product-parent');
				}
			}
			else {
				if(length > 1) {
					jQuery('#top-menu-nav #top-first-menu > li.current-product-ancestor').removeClass('two-access');
					jQuery('#top-menu-nav #top-first-menu > li.current-product-ancestor').first().addClass('two-access');
					jQuery('#top-menu-nav #top-first-menu > li').removeClass('current-product-ancestor current-menu-parent current-product-parent');
					jQuery('#top-menu-nav #top-first-menu > li.two-access').addClass('current-product-ancestor current-menu-parent current-product-parent');
				}
				var number = 0;
				$('#top-menu-nav .current-product-ancestor .sub-menu .current-product-ancestor').each(function() {
					if ($(this).hasClass("current-product-ancestor")) {
						number++;
						$(this).addClass('current-' + number);
					}
				});
				if(number > 1) {
					jQuery('#top-menu-nav .current-product-ancestor .sub-menu .menu-item').removeClass('current-product-ancestor current-menu-parent current-product-parent');
					jQuery('#top-menu-nav .current-product-ancestor .sub-menu .menu-item.current-1').addClass('current-product-ancestor current-menu-parent current-product-parent');
				}
			}
			// if(id != null) {
			// 	if(id == mid) {
			// 		jQuery('#'+mid+' .sub-menu .menu-item').removeClass('current-product-ancestor current-menu-parent current-product-parent');
			// 		jQuery('#'+mid+' .sub-menu #'+sub).addClass('current-product-ancestor current-menu-parent current-product-parent');
			// 	}
			// 	else {
			// 		jQuery('#top-menu-nav .current-product-ancestor .sub-menu .current-product-ancestor').removeClass('activates');
			// 		jQuery('#top-menu-nav .current-product-ancestor .sub-menu .current-product-ancestor').first().addClass('activates');
			// 		jQuery('#top-menu-nav .current-product-ancestor .sub-menu .menu-item').removeClass('current-product-ancestor current-menu-parent current-product-parent');
			// 		jQuery('#top-menu-nav .current-product-ancestor .sub-menu .menu-item.activates').addClass('current-product-ancestor current-menu-parent current-product-parent');
			// 	}
			// }
			// else {
			// 	var number = 0;
			// 	$('#top-menu-nav .current-product-ancestor .sub-menu .current-product-ancestor').each(function() {
			// 		if ($(this).hasClass("current-product-ancestor")) {
			// 			number++;
			// 			$(this).addClass('current-' + number);
			// 		}
			// 	});
			// 	if(number > 1) {
			// 		jQuery('#top-menu-nav .current-product-ancestor .sub-menu .menu-item').removeClass('current-product-ancestor current-menu-parent current-product-parent');
			// 		jQuery('#top-menu-nav .current-product-ancestor .sub-menu .menu-item.current-1').addClass('current-product-ancestor current-menu-parent current-product-parent');
			// 	}
			// }
		});
	</script>
<?php
//new code from 23/5/2018
$id = get_the_ID();
$terms = get_the_terms( $id, 'product_cat' );
if(!empty($terms)) {
	foreach ($terms as $term) {
		$parent = get_term($term->parent, 'product_cat' );
		$children = get_term_children($term->term_id, 'product_cat');
		if(empty($parent->term_id) && sizeof($children) > 0) {
			$roster = $term->slug;
		}
	}
}
?>
<script type="text/javascript">
	jQuery(document).ready(function($) {
		var r = 0;
		var t = 0;
		$('.single-product #main-header #top-first-menu li .sub-menu > li').each(function() {
			if (!$(this).hasClass("current-product-ancestor")) {
				r = r;
			}
			else {
				r = 1;
			}
		});
		$('.single-product #main-header #top-first-menu li').each(function() {
			if (!$(this).hasClass("current-product-ancestor")) {
				t = t;
			}
			else {
				t = 1;
			}
		});
		if((r == 0) && (t == 0)) {
			var roster = '<?php echo $roster; ?>';
			$('.single-product #main-header #top-first-menu li.' + roster).addClass('current-product-ancestor');
		}
		$('body').on('click', '.sf_sls_close', function() {
			$('body .slick-lightbox').remove();
		});
	});
</script>