<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     4.7.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
get_header( 'shop' ); ?>
<div id="main-content">
		<div class="container">
			<div id="content-area" class="clearfix">
				<div class="area-content">
					<?php
					$tax = get_queried_object();
						$args = array(
							'post_type' => 'product',
							'posts_per_page' => -1,
							'tax_query' => array(
								array(
									'taxonomy' => 'product_tag',
									'field' => 'term_id',
									'terms' => $tax->term_id
								)
							)
						);
						$wp = new WP_Query($args);
						$i = 0;
						if($wp->have_posts()) : while($wp->have_posts()) : $wp->the_post();
								$i++;
							?>
							    <div class="area-item">
									<div id="post-<?php echo get_the_ID(); ?>" class="post-items">
									    <a href="<?php echo get_permalink(); ?>" tabindex="0">
											<span class="et_portfolio_image">
											<?php if(get_the_post_thumbnail()) { ?>
												<img src="<?php the_post_thumbnail_url('thumb-right'); ?>" alt="<?php echo get_the_title(); ?>"/>
											<?php } else { ?>
												<img src="<?php echo bloginfo('stylesheet_directory'); ?>/images/image.png" alt="<?php echo get_the_title(); ?>"/>
											<?php } ?>
												<span class="et_overlay et_pb_inline_icon" data-icon=""></span>
											</span>
										</a>
									</div>
							    </div>
							<?php
						endwhile;
						if($i == 0) {
							get_template_part( 'includes/no-results', 'index' );
						}
						endif;
					?>
				</div>
			</div>
		</div>
	</div>
<?php
get_footer( 'shop' ); ?>